[Armadeus-commitlog] armadeus branch, master, updated. release-3.4-287-g6fbb41e
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2011-07-04 09:20:58
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 6fbb41ed1734543aced7e286a59eda09340d4e0e (commit)
via f96e4f13c0ccf8e306d3d3bbca11e065b59c0132 (commit)
from 3fbbd6973ad5410d481682e5561fb10f2dc34b0c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 6fbb41ed1734543aced7e286a59eda09340d4e0e
Author: Julien Boibessot <jul...@ar...>
Date: Mon Jul 4 11:20:16 2011 +0200
[TESTS] Add test_fpgaregs.sh and correspondig bitfile links
commit f96e4f13c0ccf8e306d3d3bbca11e065b59c0132
Author: Julien Boibessot <jul...@ar...>
Date: Mon Jul 4 11:12:20 2011 +0200
[TESTS] Fix bitfile name for APF51 in test_fpga.sh
-----------------------------------------------------------------------
Summary of changes:
.../test/data/fpga/top_wishbone_example51_lx9.bin | 1 +
.../test/data/fpga/wishbone_example_apf27_200k.bit | 2 +-
.../data/fpga/wishbone_example_apf9328_200k.bit | 2 +-
target/test/packages/test_fpgaregs.sh | 64 ++++++++++++++++++++
target/test/test_fpga.sh | 2 +-
5 files changed, 68 insertions(+), 3 deletions(-)
create mode 120000 target/test/data/fpga/top_wishbone_example51_lx9.bin
create mode 100755 target/test/packages/test_fpgaregs.sh
diff --git a/target/test/data/fpga/top_wishbone_example51_lx9.bin b/target/test/data/fpga/top_wishbone_example51_lx9.bin
new file mode 120000
index 0000000..9a0135f
--- /dev/null
+++ b/target/test/data/fpga/top_wishbone_example51_lx9.bin
@@ -0,0 +1 @@
+../../../../firmware/wishbone_example/wishbone_example51/binaries/top_wishbone_example51_lx9.bin
\ No newline at end of file
diff --git a/target/test/data/fpga/wishbone_example_apf27_200k.bit b/target/test/data/fpga/wishbone_example_apf27_200k.bit
index 93ca1b0..98d966d 120000
--- a/target/test/data/fpga/wishbone_example_apf27_200k.bit
+++ b/target/test/data/fpga/wishbone_example_apf27_200k.bit
@@ -1 +1 @@
-../../../../firmware/wishbone_example/bin/wishbone_example_apf27_200k.bit
\ No newline at end of file
+../../../../firmware/wishbone_example/wishbone_example9328_27/bin/wishbone_example_apf27_200k.bit
\ No newline at end of file
diff --git a/target/test/data/fpga/wishbone_example_apf9328_200k.bit b/target/test/data/fpga/wishbone_example_apf9328_200k.bit
index 6a31e00..65c11a5 120000
--- a/target/test/data/fpga/wishbone_example_apf9328_200k.bit
+++ b/target/test/data/fpga/wishbone_example_apf9328_200k.bit
@@ -1 +1 @@
-../../../../firmware/wishbone_example/bin/wishbone_example_apf9328_200k.bit
\ No newline at end of file
+../../../../firmware/wishbone_example/wishbone_example9328_27/bin/wishbone_example_apf9328_200k.bit
\ No newline at end of file
diff --git a/target/test/packages/test_fpgaregs.sh b/target/test/packages/test_fpgaregs.sh
new file mode 100755
index 0000000..ced8080
--- /dev/null
+++ b/target/test/packages/test_fpgaregs.sh
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+#
+# Script to test a Buildroot package for Armadeus Software release
+#
+# Copyright (C) 2011 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+EXEC_NAME="fpgaregs"
+
+blink_led()
+{
+ if [ "$1" == "APF9328" ]; then
+ load_fpga ./data/fpga/wishbone_example_apf9328_200k.bit
+ RES=$?
+ elif [ "$1" == "APF27" ]; then
+ echo "I hope you have connected pins 1 & 39 of J20"
+ load_fpga ./data/fpga/wishbone_example_apf27_200k.bit
+ RES=$?
+ elif [ "$1" == "APF51" ]; then
+ echo "I hope you have powered up Bank 1 with corresponding jumper"
+ load_fpga ./data/fpga/top_wishbone_example51_lx9.bin
+ RES=$?
+ else
+ echo "Platform not supported by this test"
+ fi
+
+ if [ "$RES" == 0 ]; then
+ for i in `seq 5`; do
+ fpgaregs w 0x08 0x01
+ usleep 500000
+ fpgaregs w 0x08 0x00
+ usleep 500000
+ done
+ fi
+}
+
+test_fpgaregs()
+{
+ show_test_banner "fpgaregs"
+ is_package_installed $EXEC_NAME
+
+ execute_for_target blink_led
+
+ if [ "$RES" == 0 ]; then
+ ask_user "Did you see the FPGA's LED blinking ? (y/N)"
+ if [ "$response" == "y" ]; then
+ echo_test_ok
+ else
+ echo_test_failed
+ fi
+ fi
+}
+
+test_fpgaregs
+
diff --git a/target/test/test_fpga.sh b/target/test/test_fpga.sh
index 823e5b2..5de07c3 100755
--- a/target/test/test_fpga.sh
+++ b/target/test/test_fpga.sh
@@ -26,7 +26,7 @@ load_led()
RES=$?
elif [ "$1" == "APF51" ]; then
ask_user "Please power on FPGA Bank 1\nThen press enter"
- load_fpga ./data/fpga/top_wishbone_example51.bin
+ load_fpga ./data/fpga/top_wishbone_example51_lx9.bin
RES=$?
if [ "$RES" == 0 ]; then
for i in `seq 5`; do
hooks/post-receive
--
armadeus
|